org.apache.cassandra.utils

## Class BoundedStatsDeque

- java.lang.Object
- - org.apache.cassandra.utils.BoundedStatsDeque

All Implemented Interfaces:
  java.lang.Iterable<java.lang.Long>

    public class BoundedStatsDeque
    extends java.lang.Object
    implements java.lang.Iterable<java.lang.Long>

bounded threadsafe deque

### Constructor Summary

Constructors
Constructor and Description
`BoundedStatsDeque(int size)`

### Method Summary

Methods
`void` `add(long i)`
`java.util.Iterator<java.lang.Long>` `iterator()`
`double` `mean()`
`int` `size()`
`long` `sum()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BoundedStatsDeque

    public BoundedStatsDeque(int size)

### Method Detail

#### iterator

    public java.util.Iterator<java.lang.Long> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<java.lang.Long>`

#### size

    public int size()

#### add

    public void add(long i)

#### sum

    public long sum()

#### mean

    public double mean()